////	$RCSfile: animal2.h,v $
////	$Date: 2011/09/26 22:50:50 $
////.BlockStart
#ifndef _animal_h
#define _animal_h

//  Animal2.H
//
//  Changes from Animal1.H:
//    Made data members private.
//    Added data member for animal name.
//    Added functions to access data members.
#include <string>

class Animal {
  private:		// The default
    short nLegs;
    std::string sName;
  public:
    Animal();		// Default Constructor
    ~Animal();		// Destructor

    // Used to access the data members
    short GetLegs()		{ return nLegs; }
    void SetLegs(short n);

    // Not used by main() yet...
    std::string GetName()	{ return sName; }
    void SetName(std::string name);
};

#endif // _animal_h
////.BlockEnd
