////	$RCSfile: demo-error.cpp,v $
////	$Date: 2011/09/26 22:42:04 $
////.BlockStart
#include <errno.h>	// Defines EPERM, ENOENT, ...
////.BlockEnd

////.BlockStart
const char * myerror(int err)
{
    static const char *errlist[] = {	// array of ptrs
	"No error",			// 0
	"No permission",		// 1 EPERM
	"No such file or directory",	// 2 ENOENT
	"No such process",		// 3 ESRCH
	"Interrupted system call",	// 4 EINTR
	"I/O error",			// 5 EIO
    //  ...
    };
    return( errlist[err] );
}
////.BlockEnd

////.BlockStart
int main()
{
    char *ptr1;
    const char *ptr2;

    ptr1 = myerror(EPERM);  // error: data type mismatch
    ptr2 = myerror(ENOENT); // ok
    return 0;
}
////.BlockEnd
