#include <stdio.h>
#include "rev1defs.h"

int main(int ac, char *av[])
{
    /*
     *  This program uses nested loops to calculate
     *  some algorithm that only an engineer could
     *  know and love. :-)
     */
    int i, j, k;
    long subtotal = 0, grandtotal = 0;
    
    if (ac > 1) {	/* More than 1 argument? */
	fprintf(stderr, "Usage:  lab1loop\n");
	exit(EXITSYN);
    }
    for (i=0; i < 8; i++) {
	subtotal = 0;
	for (j=1; j <= i; j++) {
	    subtotal += i + j;
	    if (j+i > 12) {
		for (k=j+i; k > 10; ) k--;
		    subtotal -= k;
		break;
	    }
	    printf("Finished i/j: %d/%d\n", i, j);
	}
	printf("Loop %d:  %ld\n", i, subtotal);
	grandtotal += subtotal;
    }
    printf("Done.  Grand total is %ld.\n", grandtotal);
    return 0;
}
